package com.chenyang.nse.bussiness.entity.orm.table.core.dataproject;

import com.chenyang.nse.bussiness.entity.cache.LoginUser;

public class TCoreDataProjectReqVO {
   private TCoreDataProject project;
   LoginUser loginUser;

   public TCoreDataProject getProject() {
      return this.project;
   }

   public LoginUser getLoginUser() {
      return this.loginUser;
   }

   public void setProject(final TCoreDataProject project) {
      this.project = project;
   }

   public void setLoginUser(final LoginUser loginUser) {
      this.loginUser = loginUser;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TCoreDataProjectReqVO)) {
         return false;
      } else {
         TCoreDataProjectReqVO other = (TCoreDataProjectReqVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$project = this.getProject();
            Object other$project = other.getProject();
            if (this$project == null) {
               if (other$project != null) {
                  return false;
               }
            } else if (!this$project.equals(other$project)) {
               return false;
            }

            Object this$loginUser = this.getLoginUser();
            Object other$loginUser = other.getLoginUser();
            if (this$loginUser == null) {
               if (other$loginUser != null) {
                  return false;
               }
            } else if (!this$loginUser.equals(other$loginUser)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TCoreDataProjectReqVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $project = this.getProject();
      result = result * 59 + ($project == null ? 43 : $project.hashCode());
      Object $loginUser = this.getLoginUser();
      result = result * 59 + ($loginUser == null ? 43 : $loginUser.hashCode());
      return result;
   }

   public String toString() {
      return "TCoreDataProjectReqVO(project=" + this.getProject() + ", loginUser=" + this.getLoginUser() + ")";
   }
}
